import numpy
from chemsh import *

numpy.set_printoptions(threshold=10)

butanol = Fragment(coords='butanol.cjson')

ff = DL_FIELD(ff='pcff',
              cutoff_vdw=20.0,
              pbc=None,
             )

qm_theory = NWChem(method='hf', basis='3-21g')

mm_theory = DL_POLY(ff=ff, temperature=0.0, index=True, rcut=21.167082)


qmmm = QMMM(qm=qm_theory,
            mm=mm_theory,
            qm_region=range(5),
            frag=butanol,
            embedding='electrostatic',
            coupling='covalent'
           )

sp = SP(theory=qmmm, gradients=True).run(dryrun=False)
